Attribute VB_Name = "CMY_CMYK_Convertion"

' VISUAL BASIC WORLD
' ===========================================
' Das groe Portal zum Thema Visual Basic.
'
' Wenn Ihnen dieser Source Code gefallen hat,
' dann empfehlen Sie Visual Basic World bitte
' weiter und/oder setzen Sie einen Link auf:
'
' http://www.visualbasicworld.de/
'
' Vernetzen Sie sich mit uns:
'
' http://twitter.com/visualbasicwrld
'
' Autor: Benjamin Wilger

Option Explicit
Public Sub RGBtoCMYK(ByVal RGB_R As Integer, ByVal RGB_G As Integer, ByVal RGB_B As Integer, _
                     ByRef CMYK_C As Integer, ByRef CMYK_M As Integer, ByRef CMYK_Y As Integer, ByRef CMYK_K As Integer)
                     
    CMYK_C = 255 - RGB_R
    CMYK_M = 255 - RGB_G
    CMYK_Y = 255 - RGB_B
    
    If CMYK_C < CMYK_M Then
        CMYK_K = CMYK_C
    Else
        CMYK_K = CMYK_M
    End If
    
    If CMYK_Y < CMYK_K Then CMYK_K = CMYK_Y
    If CMYK_K > 0 Then
        CMYK_C = CMYK_C - CMYK_K
        CMYK_M = CMYK_M - CMYK_K
        CMYK_Y = CMYK_Y - CMYK_K
    End If

End Sub
Public Sub RGBtoCMY(ByVal RGB_R As Integer, ByVal RGB_G As Integer, ByVal RGB_B As Integer, _
                     ByRef CMY_C As Integer, ByRef CMY_M As Integer, ByRef CMY_Y As Integer)
                     
    CMY_C = 255 - RGB_R
    CMY_M = 255 - RGB_G
    CMY_Y = 255 - RGB_B
    
End Sub
Public Sub CMYKtoRGB(ByVal CMYK_C As Integer, ByVal CMYK_M As Integer, ByVal CMYK_Y As Integer, ByVal CMYK_K As Integer, _
                     ByRef RGB_R As Integer, ByRef RGB_G As Integer, ByRef RGB_B As Integer)
                     
    If (CMYK_C + CMYK_K) < 255 Then
        RGB_R = 255 - (CMYK_C + CMYK_K)
    Else
        RGB_R = 0
    End If
    
    If (CMYK_M + CMYK_K) < 255 Then
        RGB_G = 255 - (CMYK_M + CMYK_K)
    Else
        RGB_G = 0
    End If
    
    If (CMYK_Y + CMYK_K) < 255 Then
        RGB_B = 255 - (CMYK_Y + CMYK_K)
    Else
        RGB_B = 0
    End If
    
End Sub
Public Sub CMYtoRGB(ByVal CMY_C As Integer, ByVal CMY_M As Integer, ByVal CMY_Y As Integer, _
                     ByRef RGB_R As Integer, ByRef RGB_G As Integer, ByRef RGB_B As Integer)
                     
    RGB_R = setRange(255 - CMY_C, 0, 255)
    RGB_G = setRange(255 - CMY_M, 0, 255)
    RGB_B = setRange(255 - CMY_Y, 0, 255)
    
End Sub


